## lojban-common 1.2

=== Makefile ===
all:
	wget -N http://www.lojban.org/files/wordlists/gismu
	wget -N http://www.lojban.org/files/wordlists/cmavo
	wget -N http://www.lojban.org/files/wordlists/rafsi
	wget -N http://www.lojban.org/files/wordlists/lujvo-list
	wget -N http://www.lojban.org/files/draft-dictionary/NORALUJV.txt

# vim:noet:nosta:nolist:

## lojban-common 1.1

=== debian/changelog ===
lojban-common (1.1) unstable; urgency=low

  * Fix lintian error.

 -- JP Sugarbroad <taral@taral.net>  Wed, 13 Mar 2002 16:47:31 -0600

lojban-common (1.0) unstable; urgency=low

  * Initial Release.

 -- JP Sugarbroad <taral@taral.net>  Mon, 25 Jun 2001 18:22:18 -0500

=== debian/control ===
Source: lojban-common
Section: misc
Priority: optional
Maintainer: JP Sugarbroad <taral@taral.net>
Build-Depends-Indep: debhelper (>> 3.0.0), wget
Standards-Version: 3.5.2

Package: lojban-common
Architecture: all
Description: Commonly used wordlists for the lojban language
 This package contains the (hopefully latest) versions of the gismu, cmavo,
 and lujvo wordlists for the lojban language. See http://www.lojban.org/ for
 more information on this language.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

build:;

clean:
	dh_testdir
	dh_testroot

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	install -m 644 cmavo gismu rafsi lujvo-list NORALUJV.txt $(CURDIR)/debian/lojban-common/usr/share/lojban/

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs
	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch:;

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## lojban-common 1.2

=== debian/changelog ===
lojban-common (1.2) unstable; urgency=low

  * Update to new cmavo list. (closes: #188496)
  * Change gismu list to lojban-sorted one.

 -- JP Sugarbroad <taral@taral.net>  Thu, 10 Apr 2003 16:20:44 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: misc
 Priority: optional
 Maintainer: JP Sugarbroad <taral@taral.net>
-Build-Depends-Indep: debhelper (>> 3.0.0), wget
-Standards-Version: 3.5.2
+Build-Depends-Indep: debhelper (>> 4.0.0), wget
+Standards-Version: 3.5.9
 
 Package: lojban-common
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 #export DH_VERBOSE=1
 
 # This is the debhelper compatability version to use.
-export DH_COMPAT=3
+export DH_COMPAT=4
 
 build:;

## lojban-common 1.5

=== debian/changelog ===
lojban-common (1.5-4) unstable; urgency=low

  * debian/control:
    + Conform to ‘Standards-Version: 3.8.3’. No further changes needed.
    + Set ‘VCS-*’ fields to point to active repository.
    + Set ‘Priority: optional’ to allow policy-conformant dependency on
      this package.
  * debian/copyright:
    + Conform to latest DEP-5 format specification.
  * debian/source/format:
    + Switch to ‘3.0 (quilt)’ source package format.

 -- Ben Finney <ben+debian@benfinney.id.au>  Mon, 21 Dec 2009 16:45:09 +1100

lojban-common (1.5-3) unstable; urgency=low

  * debian/control:
    + Conform to ‘Standards-Version: 3.8.1’.
    + ‘Depends: ${misc:Depends}’ as recommended for ‘debhelper(7)’.
    + Add ‘Vcs-Bzr’ field.
  * debian/copyright:
    + Conform to latest proposed format specification.
 
 -- Ben Finney <ben+debian@benfinney.id.au>  Fri, 20 Mar 2009 00:39:45 +1100 

lojban-common (1.5-2) unstable; urgency=low

  * debian/lojban-common.docs
    + Install Debian documents.
  * debian/copyright
    + More precise copyright statements and license grants where
      applicable. Thanks to Mike O'Connor.

 -- Ben Finney <ben+debian@benfinney.id.au>  Wed, 02 Jul 2008 00:14:07 +1000

lojban-common (1.5-1) unstable; urgency=low

  * debian/copyright
    + Convert to machine-readable format.
  * debian/control
    + Update Standards-Version to 3.8.0 (no changes needed).
    + Move Lojban URL to Homepage field.
    + Set Priority to extra as per definitions in Policy.
  * Upgrade packaging to debhelper 7.
  * Implement 'get-orig-source' for creating tarball of upstream source
    files.
  * Move information from debian/README.Debian-source to debian/watch.

 -- Ben Finney <ben+debian@benfinney.id.au>  Tue, 01 Jul 2008 14:05:47 +1000

lojban-common (1.4-1) unstable; urgency=low

  * New maintainer (closes: #302297)
  * Rework description and README to match and give more information.
  * Reinstate wget build-dependency for fetching word lists.
  * Build package from latest published word lists.
  * Add README.Debian-source for information on original source files.

 -- Ben Finney <ben+debian@benfinney.id.au>  Wed, 11 May 2005 17:07:15 +1000

lojban-common (1.3) unstable; urgency=low

  * QA upload.
  * Package is orphaned (see #302297); set maintainer to Debian QA Group.
  * Suggest jbofihe.  Closes: #234194.
  * Remove unnecessary build-dependency on wget.
  * Conforms to Standards version 3.6.1.

 -- Matej Vela <vela@debian.org>  Tue, 26 Apr 2005 14:38:48 +0200

## lojban-common 1.5+dfsg

=== debian/changelog ===
lojban-common (1.5+dfsg-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * Repack without NORALUJV.txt (closes: #685279)

 -- David Prévot <taffit@debian.org>  Wed, 29 Aug 2012 19:11:36 -0400

=== debian/control ===
Source: lojban-common
Section: misc
Priority: optional
Maintainer: Ben Finney <ben+debian@benfinney.id.au>
Build-Depends-Indep:
    wget,
    debhelper (>= 7)
Standards-Version: 3.8.3
VCS-bzr: http://bzr.debian.org/bzr/collab-maint/lojban-common/lojban-common.debian/
VCS-Browser: http://bzr.debian.org/loggerhead/collab-maint/lojban-common/lojban-common.debian/
Homepage: http://www.lojban.org/

Package: lojban-common
Architecture: all
Depends: ${misc:Depends}
Suggests: jbofihe
Description: commonly-used wordlists for the Lojban language
 Lojban is a constructed human language, designed to have a logical
 foundation, a regular, logical, and unambigious structure, phonetic
 spelling, and to be culturally neutral.
 .
 This package contains the current versions of the gismu, cmavo,
 rafsi, and lujvo wordlists for the Lojban language, as published by
 the Logical Language Group.

=== debian/rules ===
#! /usr/bin/make -f
# -*- coding: utf-8; -*- vim: filetype=make fileencoding=utf-8 :

# debian/rules
# Part of lojban-common package
#
# Copyright © 2005, 2008 Ben Finney <ben+debian@benfinney.id.au>
# This is free software; you may copy, modify and/or distribute this work
# under the terms of the GNU General Public License, version 2 or later.
# No warranty expressed or implied. See the file LICENSE for details.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Packaging variables
PACKAGE_NAME = lojban-common
SHA1SUMS_FILE = debian/upstream.sha1sums

GET_ORIG_SOURCE = $(dir $_)/get-orig-source


.PHONY: build
build: ${SOURCE_FILES}

.PHONY: get-orig-source
get-orig-source:
	$(GET_ORIG_SOURCE)

.PHONY: clean
clean:
	dh clean

.PHONY: install
install: build
	cut -d ' ' -f 3 ${SHA1SUMS_FILE} \
		| sed -e 's_$$_\tusr/share/lojban_' \
		> debian/${PACKAGE_NAME}.install
	dh install

.PHONY: binary-indep
binary-indep: build install
	dh binary-indep

.PHONY: binary-arch
binary-arch: ;

.PHONY: binary
binary: binary-indep binary-arch

=== debian/watch ===
# The Logical Language Group does not distribute these word lists as a
# complete archive, nor do they currently apply a version number.
# Instead the files are available individually from the Lojban website.
#
# Fetching these files for inclusion in a Debian source package is
# automated in the Debian package with 'debian/rules get-orig-source',
# as per Policy 3.8.0 §4.9.

## lojban-common 1.5+dfsg.1

=== debian/changelog ===
lojban-common (1.5+dfsg.1-4) unstable; urgency=medium

  * The “Gene Nora Stumbough” release.
  * Acknowledge non-maintainer upload “1.5+dfsg.1-3.1”.
  * Specify current VCS for Debian packaging work.
  * Specify HTTPS URL for copyright format reference.
  * Declare “Standards-Version: 4.6.1”.
  * Remove ‘get-orig-source’ and ‘get-packaged-orig-source’ targets.
    These are no longer mentioned in Debian Policy 4.1.4 and later.
  * Re-introduce ‘get-orig-source’ target to get the upstream source.
  * Declare Debhelper compatibility level 13.
  * debian/compat:
    * Remove obsolete configuration file.
  * Update copyright years for Debian packaging.
  * Declare build dependencies needed for fetching upstream source.
  * Configure Git-BuildPackage for this code base.
  * Inform Lintian that upstream supplies no changelog.
  * Override false positive Lintian check for VCS-* field names.
  * Override false positive Lintian check for documentation files.
  * Use canonical HTTPS method for upstream URLs.
  * Remove obsolete ‘get-orig-source’ Debian rules target.
  * Document that upstream provides no issue tracker nor VCS repository.
  * Specify the package build system does not require root privilege.
  * Update description to maintain the Debian source package.

 -- Ben Finney <bignose@debian.org>  Tue, 28 Jun 2022 09:05:09 +1000

lojban-common (1.5+dfsg.1-3.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Tue, 14 Jun 2022 15:01:11 +0200

lojban-common (1.5+dfsg.1-3) unstable; urgency=low

  * The “Annie Jean Macnamara” release.
  * debian/*:
    * Update my email address for Debian work.
  * debian/control:
    * Declare “Standards-Version: 3.9.8”. No additional changes required.
    * Migrate packaging VCS to Git at NotABug.
    * Set “Homepage” field to URL for encrypted service.
  * debian/README.source:
    * Document how the source package is built.
  * debian/copyright:
    * Add editor hints.
    * Update copyright notices.
    * Distinguish license conditions from license grants.
    * Document “all rights granted” without assuming public domain.
  * debian/rules:
    * Document recommendation for ‘get-orig-source’ target.
    * Make distinct rules for getting upstream source.
    * Send HTTP traffic to the “discard” service during packaging actions.
  * debian/source/lintian-overrides:
    * Add Lintian override for absence of UScan configuration file.
  * debian/compat, debian/control, debian/rules:
    * Update Debhelper compatibility to version 9.
    * Simplify rules using Debhelper automatic targets.
  * debian/get-orig-source:
    * Clean up working root directory on any terminating signal.
    * Ensure that a failure in any subprocess fails the pipeline.

 -- Ben Finney <bignose@debian.org>  Sun, 23 Oct 2016 13:30:29 +1100

lojban-common (1.5+dfsg.1-2) unstable; urgency=low

  * The “You Need Feet” release.
  * debian/copyright:
    + Clarify general license grant from LLG on the work, versus specific
      license terms on the files. Thanks to David Prévot for advice.
  * debian/copyright, debian/watch, debian/source-lintian-overrides:
    + Move documentation about distribution of upstream files.
    + Remove no-op ‘uscan’ configuration file, explain its absence.
  * debian/control, debian/get-orig-source:
    + The “get-orig-source” target does not need its requirements declared
      per Policy §7.7; remove “Build-Depends: wget”.
    + Gracefully handle command-not-found condition for ‘wget’.
  * debian/README.source:
    + Describe how we construct the source package.
  * debian/dirs:
    + Remove redundant config file, obsoleted by ‘dh_install’ actions.

 -- Ben Finney <ben+debian@benfinney.id.au>  Mon, 16 Dec 2013 22:54:07 +1100

lojban-common (1.5+dfsg.1-1) unstable; urgency=low

  * The “Goose Blues” release.
  * New upstream version to reflect change in which upstream files we get.
  * debian/get-orig-source, debian/upstream.sha1sums, debian/README.Debian:
    + Omit file ‘NORALUJV.txt’ which is not covered under a grant of
      license to redistribute.
      Thanks to David Prévot <taffit@debian.org> for NMU help.
      (Closes: bug#685279)
  * debian/copyright:
    + Declare conformance with copyright format version 1.0.
  * debian/*:
    + Update copyright notices.
    + Re-license original work under GPL-3+.
  * debian/control, debian/watch:
    + Update VCS fields following changes at Alioth.
    + Declare “Standards-Version: 3.9.5”.

 -- Ben Finney <ben+debian@benfinney.id.au>  Tue, 03 Dec 2013 17:32:09 +1100

lojban-common (1.5-6) unstable; urgency=low

  * The “Bots Build Bots” release.
  * debian/control:
    + Conform to ‘Standards-Version: 3.9.3’. No further changes needed.

 -- Ben Finney <ben+debian@benfinney.id.au>  Sun, 10 Jun 2012 16:54:38 +1000

lojban-common (1.5-5) UNRELEASED; urgency=low

  * The “Octopus Ballet” release.
  * debian/README.Debian, debian/NEWS.Debian, debian/lojban-common.docs:
    + Remove ancient news about current filenames, put it into the README.
    + Allow Debhelper to figure out which document files need installing.
  * debian/control, debian/compat, debian/rules:
    + Conform to ‘Standards-Version: 3.9.2’.
    + Use current recommended rules targets.
    + Use Debhelper version that supports recommended rules targets.
  * debian/copyright:
    + Update copyright notices and reformat to current DEP-5 specification.

 -- Ben Finney <ben+debian@benfinney.id.au>  Sat, 30 Jul 2011 12:48:52 +1000

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,16 @@
 Source: lojban-common
 Section: misc
 Priority: optional
-Maintainer: Ben Finney <ben+debian@benfinney.id.au>
+Maintainer: Ben Finney <bignose@debian.org>
 Build-Depends-Indep:
-    wget,
-    debhelper (>= 7)
-Standards-Version: 3.8.3
-VCS-bzr: http://bzr.debian.org/bzr/collab-maint/lojban-common/lojban-common.debian/
-VCS-Browser: http://bzr.debian.org/loggerhead/collab-maint/lojban-common/lojban-common.debian/
-Homepage: http://www.lojban.org/
+    wget
+Build-Depends:
+    debhelper-compat (= 13)
+Homepage: https://www.lojban.org/
+Standards-Version: 4.6.1
+VCS-Git: https://salsa.debian.org/debian/pkg-lojban-common.git
+VCS-Browser: https://salsa.debian.org/debian/pkg-lojban-common/
+Rules-Requires-Root: no
 
 Package: lojban-common
 Architecture: all

=== debian/rules ===
#! /usr/bin/make -f

# debian/rules
# Part of Debian ‘lojban-common’ package.
#
# This is free software, and you are welcome to redistribute it under
# certain conditions; see the end of this file for copyright
# information, grant of license, and disclaimer of warranty.

# Send HTTP traffic to the “discard” service during packaging actions.
export http_proxy = http://127.0.1.1:9/
export https_proxy = ${http_proxy}

# Packaging variables.
PACKAGE_NAME = lojban-common
SHA1SUMS_FILE = debian/upstream.sha1sums


%:
	dh $@


.PHONY: override_dh_install
override_dh_install:
	cut -d ' ' -f 3 ${SHA1SUMS_FILE} \
		| sed -e 's_$$_\tusr/share/lojban_' \
		> debian/${PACKAGE_NAME}.install
	dh_install


# Copyright © 2005–2022 Ben Finney <bignose@debian.org>
#
# This is free software: you may copy, modify, and/or distribute this work
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; version 3 of that license or any later version.
# No warranty expressed or implied. See the file ‘LICENSE.GPL-3’ for details.


# Local variables:
# coding: utf-8
# mode: makefile
# End:
# vim: fileencoding=utf-8 filetype=make :
